Subject: Re: bug#40062: nscd: Domain name resolution errors when travelling

From: Gábor Boskovits <[email-masked]>
Date: Sun, 15 Mar 2020 07:33:19 +0100

Hello,

Pierre Neidhardt <[email-masked]> ezt írta (időpont: 2020. márc. 14.,
Szo 19:14):

> When I move with my Guix laptop, I frequently get domain name resolution
> errors.
>

I believe this is on Guix System. Are you using NetworkManager as
networking service?

> To fix the issue, I need to run
>
> --8<---------------cut here---------------start------------->8---
> # herd invalidate nscd hosts
> # herd restart nscd
> --8<---------------cut here---------------end--------------->8---
>
> The issue is fixed as long as I don't move again.
>
> This is impractical and the solution is very much non-obvious :p
>
> --
> Pierre Neidhardt
> https://ambrevar.xyz/

Best regards,
g_bor